ekiga's audio input: dsp0.0?

Stuart Barkley stuartb at 4gh.net
Mon Jun 18 03:06:46 UTC 2007


On Sun, 17 Jun 2007 at 22:03 -0400, Mikhail Teterin wrote:

> On ?????? 17 ??????? 2007, Mikhail Teterin wrote:
> = Ekiga has a "test settings" buttons (under the configuration druid), but it
> = never plays back anything, that I say into the microphone (I tried two of
> = those already).
>
> Figured it out. What I needed to do, was:
>
> 	mixer recsrc

This just shows the current input source.

> 	mixer mic 100 rec 100

You probably actually want:

    % mixer =rec mic
    % mixer mic 0 rec 100

Setting "mic 100" will also mix your mic input with you main speaker
output all of the time which may cause feedback or other issues.  I
recently was recording something and the speaker output

> Why aren't usable values on by default, when the machine boots, is beyond
> me...

6.2-RELEASE (and other versions) restore sound settings to the value
saved on the previous shutdown.  I'm not sure what the very initial
values are on a freshly installed system (may even be sound device or
BIOS dependent).

I actually have my /etc/rc.d/mixer hacked to not save setting on
shutdown which restores known/desired settings.  (mixer_save=NO).

--- /etc/rc.d/mixer.orig	Fri Jan 12 02:42:21 2007
+++ /etc/rc.d/mixer	Sat Jun 16 02:10:55 2007
@@ -34,6 +34,12 @@
 . /etc/rc.subr

 name="mixer"
+
+# patch: allow mixer_enable=no in rc.conf
+rcvar=`set_rcvar`
+: ${mixer_enable="YES"}
+: ${mixer_save="YES"}
+
 stop_cmd="mixer_stop"
 start_cmd="mixer_start"
 reload_cmd="mixer_start"
@@ -92,6 +98,10 @@
 mixer_stop()
 {
 	local mixer
+
+	if ! checkyesno mixer_save; then
+		return
+	fi

 	for mixer in `list_mixers`; do
 		mixer_save ${mixer}

Stuart Barkley
-- 
http://www.4gh.net/tudor/resume.html


More information about the freebsd-questions mailing list